Auto Multiple Choice - Feature # 238: Option to give explanation for the answers of a question
Description: It will be nice to add explanations for the answer of a given question.
Something like:
<pre>
\begin{question}{elevation}
Which has the highest elevation among the following?
\begin{choices}
\correctchoice{Sagarmatha}
\wrongchoice{K2}
\wrongchoice{Mont Blanc}
\wrongchoice{Aconcagua}
\end{choices}
\explain{Sagarmatha which literally means 'Head of sky' is the native name of Mount Everest, the
highest mountain in the world.}
\end{question}
</pre>
The explanations should be optional and should not be displayed in the Questions but can be displayed in the
Solution and Catalog file. Also it will be nice to customize the text which is displayed before the explanations
using the @\AMCtext@ command.
I am attaching a .sty file which implements this feature for reviewing.
History

11/20/2013 10:57 am - Anirvan Sarkar
- File amc-explain-v1.sty added

11/20/2013 10:00 pm - Alexis Bienveniie

Very good idea.

| don't think @\SujetExterne@ is the right thing to test to see if we produce the subject or corrected or so: this command is only defined when calling

LaTeX from the GUI. Someone who wants to get the subject compiling by himself won't define @\SujetExterne@.

| think @\ AMC@correchead@ is the right switch to test: it is _true_ for catalog and corrected documents, and _false_ for subject (and individual

corrected document). individual corrected document is used when _compose__ is set in annotating (selecting pages from the subject layout), so the

explanations should not be written in this mode.

11/21/2013 12:51 pm - Anirvan Sarkar
- File amc-explain-v2.sty added

Alexis Bienvenlie wrote:

> | think @\ AMC@correchead@ is the right switch to test

Updated to use @\ AMC@correchead@ instead of @\SujetExterne@.

11/21/2013 12:57 pm - Anirvan Sarkar
Is there any way to use the @\explain@ command in @question@ like environments only, similar to how @\wrongchoice@ and @\correctchoice@ can
be used only inside @choices@ like environments?

11/21/2013 05:20 pm - Alexis Bienvenlie

> |s there any way to use the \explain command in question like environments only, similar to how \wrongchoice and \correctchoice can be used only
inside choices like environments?

@\wrongchoice@ and @\correctchoice@ use @\item@, which works only in @itemize@ environments (and @choices@ environment are
@itemize@), but in fact perhaps you could use @wrongchoice@ inside a @itemize@ that is not @choices@... | did not setup any special thing to allow

@\wrongchoice@ only at some places.

11/22/2013 12:05 pm - Anirvan Sarkar
- File amc-explain-v3.sty added
Now the @\explain@ command can only be used inside @question@ like environments. In the same way it can also be implemented for

@\wrongchoice@ and @\correctchoice@ to work only inside @choices@ like environment.

11/22/2013 06:33 pm - Alexis Bienveniie

Good job: feel free to integrate it in the development tree.

12/16/2013 04:15 pm - Anirvan Sarkar
From r1497 \explain{} command can be used in AMC.

12/16/2013 04:28 pm - Anirvan Sarkar

| was busy with my end semester exams this past few weeks. | have time now and will update the the documentation for the @\explain@ command in
this week.

12/16/2013 08:58 pm - Alexis Bienvenlie

- Status changed from New to In Progress

Great!

06/20/2014 07:03 pm - Anirvan Sarkar

- Target version set to 1.3.0

- % Done changed from 0 to 100

- Assignee set to Anirvan Sarkar

- Status changed from In Progress to Resolved

08/19/2014 05:52 am - Anirvan Sarkar
- Status changed from Resolved to Closed

09/08/2015 11:11 pm - Adin Ramirez
Is there a way to check the explanations before putting them on the AMC?

For example, when | am creating the test, can | see how the results will look like? And check how the explanations look?

I'm looking for an option to change or a flag to set to make them appear when typesetting the test.
Files

amc-explain-v1.sty 194 Bytes 11/20/2013 Anirvan Sarkar
amc-explain-v2.sty 183 Bytes 11/21/2013 Anirvan Sarkar
amc-explain-v3.sty 1.6 kB 11/22/2013 Anirvan Sarkar
